#############
# $Id: folder.pm 13506 2011-07-01 09:19:27Z ajb $
# Created By: ajb
# Last Maintained By: $Author: ajb $
# Created On: 2008-07-08
# Last Changed On: $Date: 2011-07-01 10:19:27 +0100 (Fri, 01 Jul 2011) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-28.0/lib/npg_pipeline/run/folder.pm $

package npg_pipeline::run::folder;
use Moose;
use Carp;
use English qw{-no_match_vars};
use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 13506 $ =~ /(\d+)/mxs; $r; };
use npg::api::run;

extends q{npg_pipeline::run};

has q{folder} => (isa => q{Str}, is => q{ro}, writer => q{_set_folder},
                  documentation => q{should be either incoming,analysis or outgoing},);

no Moose;
__PACKAGE__->meta->make_immutable;
1;
__END__

=head1 NAME

npg_pipeline::run::folder

=head1 VERSION

$LastChangedRevision: 13506 $

=head1 SYNOPSIS

  my $rfderived = npg_pipeline::run::folder::<DerivedClass->new({
    run_folder => $sRunFolder,
  });

=head1 DESCRIPTION

Base class for run_folder based modules

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose

=item Carp

=item English -no_match_vars

=item npg_pipeline::run

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: ajb $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Andy Brown (ajb@sanger.ac.uk)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
