# $Id: 40-dispatch_tree_evaluator.t 13506 2011-07-01 09:19:27Z ajb $
use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 8;
use Test::Exception;
use lib qw{t};
use t::util;

use_ok('npg_pipeline::dispatch_tree::evaluator');

my $util = t::util->new();

$ENV{TEST_BIN} = q{t/bin/};
$ENV{TEST_DIR} = $util->temp_directory();

my $analysis_runfolder_path = $util->analysis_runfolder_path();

sub set_staging_analysis_area {
  $util->set_staging_analysis_area();
  `cp t/data/logs/log_test_20090811-110301.log $analysis_runfolder_path/`;
  return 1;
}
{
  my $dte;
  lives_ok { $dte = npg_pipeline::dispatch_tree::evaluator->new(); } q{object instantiation ok};
  isa_ok($dte, q{npg_pipeline::dispatch_tree::evaluator}, q{$dte});
  dies_ok { $dte->evaluate_tree(); } q{croak for $dte->evaluate_tree()};
}
{
  my $vars = {
    script_name => q{test},
    schema      => q{harold},
    run_folder  => q{123456_IL2_1234},
    id_run      => q{1234},
    timestamp   => q{20090811-110301},
  };
  my $dte;
  lives_ok { $dte = npg_pipeline::dispatch_tree::evaluator->new($vars); } q{object instantiation ok};
  set_staging_analysis_area();
  lives_ok { $dte->evaluate_tree(); } q{tree evaluated ok};
}
{
  lives_ok { qx[bin/query_dispatch_tree --run_folder=123456_IL2_1234 --id_run=1234 --script_name=test --schema=harold] } q{query_dispatch_tree ran};
  ok(!$CHILD_ERROR, qq{Error code ok : $CHILD_ERROR});
}

1;